> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phone

> This endpoint retrieves information about the phone (specified in the x-phone header)



## OpenAPI

````yaml GET /phones
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
  - name: custom properties
paths:
  /phones:
    get:
      tags:
        - phones
      summary: Get Phone
      description: >-
        This endpoint retrieves information about the phone (specified in the
        x-phone header)
      operationId: getPhone
      parameters:
        - name: x-phone
          in: header
          schema:
            type: string
            example: '918527184400'
          description: >-
            Please provide the number of the phone you want to call with this
            API in the header. The number must be in country code + number
            format without any characters or spaces, e.g. 919876543210;
            Alternatively, provide the phone_id (phone-xxxxxxxxxxxx) in the
            header
      responses:
        '200':
          description: 200 OK
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '592'
            Date:
              schema:
                type: string
                example: Mon, 20 Jan 2025 09:35:22 GMT
            ETag:
              schema:
                type: string
                example: W/"250-g1JEhXklmDjwmIpOst2BdKuLt4w"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
            X-RateLimit-Limit:
              schema:
                type: string
                example: '10'
            X-RateLimit-Remaining:
              schema:
                type: string
                example: '9'
            X-RateLimit-Reset:
              schema:
                type: string
                example: '1737365724'
            x-periskope-org-id:
              schema:
                type: string
                example: 2997dd64-89bf-48d3-9a22-b314fca017e5
            x-periskope-phone-id:
              schema:
                type: string
                example: phone-bqzvyibhmwkaergr
            x-periskope-trace-id:
              schema:
                type: string
                example: def9e670-d711-11ef-b07a-ad8b5d178f98
          content:
            application/json:
              schema:
                type: object
                description: >-
                  The response is a JSON object about the phone . Refer to [the
                  phone object here](/api-reference/objects/the-phone-object)
              examples:
                200 OK:
                  value:
                    created_at: '2024-12-15T11:47:26.668505+00:00'
                    first_connected_at: '2024-12-15T11:47:49.649+00:00'
                    is_ready: true
                    label_ids:
                      label-bflirzqiodgianfh: true
                      label-rbdshklasmlbfczf: true
                    labels:
                      - test1
                      - test2
                    org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                    org_phone: 918527184400@c.us
                    phone_id: phone-bqzvyibhmwkaergr
                    phone_image: >-
                      https://storage.googleapis.com/periskope-images/2997dd64-89bf-48d3-9a22-b314fca017e5%2F918527184400%40c.us.jpg?timestamp=1737141384215
                    phone_name: Support
                    qr_code: null
                    updated_at: '2025-01-20T07:51:48.209+00:00'
                    wa_state: CONNECTED
        '422':
          description: 422 Validation Error
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '400'
            Date:
              schema:
                type: string
                example: Mon, 20 Jan 2025 15:07:30 GMT
            ETag:
              schema:
                type: string
                example: W/"190-vbxQZOOpjnk1C3WPfl+cK7f8MS0"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
            X-RateLimit-Limit:
              schema:
                type: string
                example: '10'
            X-RateLimit-Remaining:
              schema:
                type: string
                example: '9'
            X-RateLimit-Reset:
              schema:
                type: string
                example: '1737385652'
            x-periskope-org-id:
              schema:
                type: string
                example: 2997dd64-89bf-48d3-9a22-b314fca017e5
            x-periskope-trace-id:
              schema:
                type: string
                example: 4500bdd0-d740-11ef-af23-09e9e991f0f8
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: VALIDATION_ERROR
                  fields:
                    type: object
                    properties:
                      x-phone:
                        type: object
                        properties:
                          message:
                            type: string
                            example: >-
                              Please provide the number of the phone you want to
                              call with this API in the header. The number must
                              be in country code + number format without any
                              characters or spaces, e.g. 919876543210;
                              Alternatively, provide the phone_id
                              (phone-xxxxxxxxxxxx) in the header.
                  message:
                    type: string
                    example: 'Missing Header: {x-phone}'
                  name:
                    type: string
                    example: Validation Error
                  status:
                    type: number
                    example: 422
              examples:
                422 Validation Error:
                  value:
                    code: VALIDATION_ERROR
                    fields:
                      x-phone:
                        message: >-
                          Please provide the number of the phone you want to
                          call with this API in the header. The number must be
                          in country code + number format without any characters
                          or spaces, e.g. 919876543210; Alternatively, provide
                          the phone_id (phone-xxxxxxxxxxxx) in the header.
                    message: 'Missing Header: {x-phone}'
                    name: Validation Error
                    status: 422
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
              phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
            });

            async function getPhone() {
              const response = await client.phone.info();

              console.log(response);
            }

            getPhone();
        - lang: cURL
          label: cURL
          source: |
            curl -X GET \
              https://api.periskope.app/v1/phones \
              -H 'Authorization: Bearer <token>' \
              -H 'Content-Type: application/json' \
              -H 'x-phone: YOUR_PHONE_NUMBER' \
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````